3

Even I follow the procedure as mentioned in magento.

Apply SUPEE-8788

To apply patch SUPEE-8788:

  • Open /app/etc/applied.patches.list in a text editor.
  • Verify SUPEE-8788 is not applied. If it is, and it's version 1, see Replace SUPEE-8788 version 1 with version 2.
  • Verify whether or not patch SUPEE-1533 is applied. If it is, and your Magento version is earlier than EE 1.14.1.0 or CE 1.9.1.0, revert SUPEE-1533.
  • If your Magento version is earlier than EE 1.14.1.0 or CE 1.9.1.0, and SUPEE-3941 is not applied, apply SUPEE-3941.
  • Get version 2 of SUPEE-8788.
  • Apply version 2 of SUPEE-8788.

I followed same procedure to my project. I am using magento 1.7.0.2.

When installing Security Patch SUPEE 8788, I am getting the following issues

checking file app/code/core/Mage/Adminhtml/controllers/IndexController.php
Hunk #1 succeeded at 373 (offset -19 lines).

checking file app/code/core/Mage/Wishlist/controllers/IndexController.php
Hunk #1 FAILED at 48 (different line endings).
Hunk #2 FAILED at 152 (different line endings).
Hunk #3 FAILED at 162 (different line endings).
Hunk #4 FAILED at 192 (different line endings).
Hunk #5 FAILED at 212 (different line endings).
Hunk #6 FAILED at 337 (different line endings).
Hunk #7 FAILED at 393 (different line endings).
Hunk #8 FAILED at 412 (different line endings).
Hunk #9 FAILED at 428 (different line endings).
Hunk #10 FAILED at 447 (different line endings).
Hunk #11 FAILED at 536 (different line endings).
Hunk #12 FAILED at 632 (different line endings).
Hunk #13 FAILED at 641 (different line endings).
Hunk #14 FAILED at 663 (different line endings).
Hunk #15 FAILED at 719 (different line endings).
15 out of 15 hunks FAILED


checking file app/design/frontend/base/default/template/catalog/product/view.phtml
Hunk #1 FAILED at 40 (different line endings).
1 out of 1 hunk FAILED


checking file app/design/frontend/base/default/template/persistent/customer/form/login.phtml
Hunk #1 FAILED at 38 (different line endings).
1 out of 1 hunk FAILED

checking file app/design/frontend/base/default/template/wishlist/view.phtml
Hunk #1 FAILED at 52 (different line endings).
1 out of 1 hunk FAILED

checking file js/mage/adminhtml/uploader/instance.js
can't find file to patch at input line 7570
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git lib/Unserialize/Parser.php lib/Unserialize/Parser.php
|index 423902a..2c01684 100644
|--- lib/Unserialize/Parser.php
|+++ lib/Unserialize/Parser.php
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 7582
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git lib/Unserialize/Reader/Arr.php lib/Unserialize/Reader/Arr.php
|index caa979e..cd37804 100644
|--- lib/Unserialize/Reader/Arr.php
|+++ lib/Unserialize/Reader/Arr.php
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 7598
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git lib/Unserialize/Reader/ArrValue.php lib/Unserialize/Reader/ArrValue.php
|index d2a4937..c6c0221 100644
|--- lib/Unserialize/Reader/ArrValue.php
|+++ lib/Unserialize/Reader/ArrValue.php
--------------------------
File to patch: 
Skip this patch? [y] 
Skipping patch.
1 out of 1 hunk ignored
checking file lib/Unserialize/Reader/Null.php
checking file skin/adminhtml/default/default/boxes.css
checking file skin/adminhtml/default/default/media/flex.swf
checking file skin/adminhtml/default/default/media/uploader.swf
checking file skin/adminhtml/default/default/media/uploaderSingle.swf
2

I'm using Magento 1.7.0.2:

I have resolved HUNK FAILED at 372 by applying SUPEE-3941

sh PATCH_SUPEE-3941_EE_1.14.0.1_v1-2015-02-10-08-32-02.sh

^^^ try applying it.

Battling right now: Hunk #1 FAILED at 40.


My current procedure is:

1) sh PATCH_SUPEE-1533_EE_1.12.x_v1-2015-02-10-08-19-16.sh -R

2) clear

3) sh PATCH_SUPEE-3941_EE_1.14.0.1_v1-2015-02-10-08-32-02.sh

4) clear


IF HUNK 1 at 40

5) Download vanilla 1.7.0.2 app/design/frontend/base/default/template/catalog/product/view.phtml and copy it to your /app/design/frontend/base/default/template/catalog/product/ folder



5) zip up PATCH_SUPEE-8788_CE_1.7.0.2_v2-2016-10-14-09-32-17.sh

6) upload

7) unzip

8) sh PATCH_SUPEE-8788_CE_1.7.0.2_v2-2016-10-14-09-32-17.sh

There is something else I'm missing with HUNK 1.

UPDATE:

I downloaded vanilla 1.7.0.2:

app/design/frontend/base/default/template/catalog/product/view.phtml

and applied it to my base folder.

Looks I messed with base folder when I was developing the theme.

After this the patch was applied successfully.

UPDATE:

I got a response from Magento Community Manager:

------------- RESPONSE -----------------

Community Manager sherrie Community Manager sherrie Posts: 746 Registered: ‎03-04-2015 Re: SUPEE-8788 (V2) -- SUPEE-3941 is it safe to apply to 1.7.0.2? Options 54m ago

Hi all, I talked to our product team and SUPEE-3941 should be fine to apply to lower versions. It exists only to address issues with Connect.

Community Manager, Magento Problem solved? Click Accept as Solution! Still stuck? Check out our documentation: http://magento.com/help/documentation

------------- RESPONSE -----------------

  • I tried applying SUPEE 3941 for 1.7.0.2 too but its not designed for 1.7.... It does apply. but there could be underwater rocks that we are not aware.... – Icon Oct 17 '16 at 21:16
  • Ya I havent tested the store either. This is the next hurdle. From what I understand it applied something to the Curl.php file in downloaded as I noticed some changes in it. – Kalvin Klien Oct 17 '16 at 21:19
  • You are correct, unless someone from magento confirms that its SAFE to apply for 1.7 vession I dont think we should do it. – Icon Oct 17 '16 at 21:19
  • the store passes the magereport.com scan after this. I also scanned multistore setup and it passes too. – Kalvin Klien Oct 17 '16 at 21:20
  • 1
    see my update - magento team confirmed it's ok to install on lower versions. – Kalvin Klien Oct 18 '16 at 18:16
0

The "different line endings" messages hint at a problem with Windows line breaks versus Unix line breaks. Your existing Magento files are probably saved in Windows format (CRLF) and you should convert them to Unix format (LF). You can use your IDE or text editor if it offers you a "convert line endings" feature, or a command line tools like dos2unix.

  • Could you please let us know whether you think it is safe to apply SUPEE 3941 for 1.7.0.2 versions ? Othervise SUPEE 8788 simply doesnt patch. – Icon Oct 17 '16 at 21:18
  • This is not a question of "safe". SUPEE-3941 patches classes that were introduced in Magento 1.8, so it's not only not necessary to apply it on 1.7, it's impossible. – Fabian Schmengler Oct 17 '16 at 21:24
  • 1
    I actually applied SUPEE-3941 on 1.7.0.2 :)=) Just like the other gentleman in this thread. It's odd, it patches, no errors. We can install SUPEE 8788 afterwared, but it seem the odd way of doing it. – Icon Oct 17 '16 at 21:27
  • I stand corrected, the files are already there in 1.7. It makes sense that the patch for 1.8 works on 1.7 too and probably also should be applied. It might be that the issue in these files was not exploitable before 1.8 so the patch is not labeled for 1.7. Also it might be that this was not taken into account while creating v2 of SUPEE-8788, that's why only this odd way works. But I have no experience with the patch on Magento 1.7 and did not dig deeper into it, so this is just speculation. – Fabian Schmengler Oct 17 '16 at 21:38
  • As usual, I really appreciate your responses! Do you happen to have access to magento team to whom you can send an inquiry? Many like myself that run earlier magento versions are having issues applying the patch. No clear instructions available. Once again, thank you so much! – Icon Oct 17 '16 at 22:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.